lzma_coder Struct Reference

## Data Fields

lzma_dict | dict
| Dictionary (history buffer) More...
lzma_lz_decoder | lz
| The actual LZ-based decoder e.g. LZMA. More...
lzma_next_coder | next
| Next coder in the chain. More...
bool | next_finished
| True if the next filter in the chain has returned LZMA_STREAM_END. More...
bool | this_finished
struct {
size_t pos
size_t size
uint8_t buffer [LZMA_BUFFER_SIZE]
} | temp
lzma_lz_encoder | lz
| LZ-based encoder e.g. LZMA. More...
lzma_mf | mf
| History buffer and match finder. More...

## Field Documentation

## dict

lzma_dict lzma_coder::dict

Dictionary (history buffer)

## lz [1/2]

lzma_lz_decoder lzma_coder::lz

The actual LZ-based decoder e.g. LZMA.

## next

lzma_next_coder lzma_coder::next

Next coder in the chain.

Next filter in the chain, if any. Note that LZMA and LZMA2 are only allowed as the last filter, but the long-range filter in future can be in the middle of the chain.

## next_finished

bool lzma_coder::next_finished

True if the next filter in the chain has returned LZMA_STREAM_END.

## this_finished

bool lzma_coder::this_finished

True if the LZ decoder (e.g. LZMA) has detected end of payload marker. This may become true before next_finished becomes true.

##

struct { ... } lzma_coder::temp

Temporary buffer needed when the LZ-based filter is not the last filter in the chain. The output of the next filter is first decoded into buffer[], which is then used as input for the actual LZ-based decoder.

## lz [2/2]

lzma_lz_encoder lzma_coder::lz

LZ-based encoder e.g. LZMA.

## mf

lzma_mf lzma_coder::mf

History buffer and match finder.

The documentation for this struct was generated from the following files:

- liblzma/lz/lz_decoder.c
- liblzma/lz/lz_encoder.c